import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'auditStatus',
  standalone: true
})
export class AuditStatusPipe implements PipeTransform {

  transform(value: number): any {
    switch (value) {
      case 0:
        return '驳回';
      case 1:
        return '通过';
      case 2:
        return '待审批';
      default:
        return '未知状态'
    }
  }

}
